## UnNetHack-6.0.4-20220203-1f061e93b.tar.gz

=== tests/Makefile ===
all: options/test_base32 \
     hacklib/test_hacklib \
     options/test_options \
     unicode/test_unicode \
     wishing/test_wishing

clean:
	rm -f `find */test_* -executable`

TEST_CFLAGS=-Wall -Wno-unused-variable -Wno-unused-but-set-variable
%: %.c
	echo `pkg-config --libs check`
	$(CC) $(TEST_CFLAGS) -I../include -I../src -g $(CFLAGS) $@.c `pkg-config --libs check` -o $@ && ./$@

=== debian/changelog ===
unnethack (5.2.0) unstable; urgency=low

  * New major release.

 -- Patric Mueller <bhaak@gmx.net>  Tue, 01 Jan 2019 20:12:11 +0100

unnethack (5.0.2) unstable; urgency=low

  * New major release.

 -- Patric Mueller <bhaak@gmx.net>  Mon, 15 Jul 2013 22:51:48 +0200

unnethack (4.0.0) lucid; urgency=low

  * New major release.

 -- Patric Mueller <bhaak@gmx.net>  Sun, 01 Apr 2012 16:24:35 +0200

unnethack (3.6.0) lucid; urgency=low

  * New major release.

 -- Patric Mueller <bhaak@gmx.net>  Sat, 08 Oct 2011 18:28:34 +0200

unnethack (3.5.3-0ubuntu3) maverick; urgency=low

  * Fixed build.

 -- Patric Mueller <bhaak@gmx.net>  Sun, 10 Apr 2011 10:54:31 +0200

unnethack (3.5.3-0ubuntu1) maverick; urgency=low

  * Initial release.

 -- Benjamin Rubin <bnrubin@ubuntu.com>  Thu, 11 Nov 2010 18:06:45 -0500

=== debian/control ===
Source: unnethack
Section: games
Priority: optional
Maintainer: Patric Mueller <bhaak@gmx.net>
Build-Depends:
 autotools-dev,
 bison,
 debhelper (>= 8.0.0),
 flex,
 libncurses5-dev | libncurses-dev
Standards-Version: 3.8.4
Homepage: https://unnethack.wordpress.com/
Vcs-Git: https://github.com/UnNetHack/UnNetHack.git
Vcs-Browser: https://github.com/unnethack/unnethack

Package: unnethack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A variant of the roguelike game NetHack.
 It features more randomness, more levels, more challenges and more fun than
 vanilla NetHack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	 --bindir=/usr/games \
	 --with-gamesdir=/var/games/unnethack \
	 --with-unsharedir=/usr/lib/unnethack \
	 --enable-curses-graphics \
	 --enable-tty-graphics

override_dh_fixperms:
	dh_fixperms
	for filename in perm record logfile xlogfile bones level saves; do \
		chmod g+w debian/unnethack/var/games/unnethack/$$filename; \
	done
	chmod g+w debian/unnethack/var/games/unnethack
	chgrp -R games debian/unnethack/var/games/unnethack debian/unnethack/usr/lib/unnethack
	chmod 02755 debian/unnethack/usr/lib/unnethack/unnethack

=== debian/watch ===
version=3
http://sf.net/unnethack/unnethack-(.+)\.tar\.gz
